* {
    margin: 0;
    padding: 0;
}

.tc {
    text-align: center
}

.tr {
    text-align: right
}

.hide {
    display: none;
}

.hidden {
    visibility: hidden;
}

.show {
    display: block;
}

.fl {
    float: left;
}

.fr {
    float: right;
}

.tc {
    text-align: center;
}

.tl {
    text-align: left;
}

.tr {
    text-align: right;
}

.vam {
    vertical-align: middle;
}

.cf:before,
.cf:after {
    content: "";
    display: table;
}

.cf:after,
.cl {
    clear: both;
}

.cf {
    zoom: 1;
}

.flex {
    display: flex;
}

.flex-m {
    align-items: center;
}

.flex-a {
    justify-content: space-around
}

.flex-b {
    justify-content: space-between
}

.flex-r {
    flex-direction: row-reverse;
}

.flex-c {
    justify-content: center
}

.flex-1 {
    flex: 1
}

.flex-2 {
    flex: 2
}

.flex-3 {
    flex: 3
}

.flex-4 {
    flex: 4
}

.flex-5 {
    flex: 5
}

.mid {
    vertical-align: middle
}

.center {
    margin: 0 auto;
}

@for $i from 5 through 12 {
    .fs#{$i * 2} {
        font-size: $i * 2px;
    }
}

@for $i from 0 through 10 {
    .mr#{$i * 5} {
        margin-right: $i * 5px !important;
    }

    .ml#{$i * 5} {
        margin-left: $i * 5px !important;
    }

    .mt#{$i * 5} {
        margin-top: $i * 5px !important;
    }

    .mb#{$i * 5} {
        margin-bottom: $i * 5px !important;
    }

    .mg#{$i * 5} {
        margin: $i * 5px !important;
    }

    .pr#{$i * 5} {
        padding-right: $i * 5px !important;
    }

    .pl#{$i * 5} {
        padding-left: $i * 5px !important;
    }

    .pt#{$i * 5} {
        padding-top: $i * 5px !important;
    }

    .pb#{$i * 5} {
        padding-bottom: $i * 5px !important;
    }

    .pd#{$i*5} {
        padding: $i * 5px !important;
    }
}

@for $i from 1 through 50 {
    .w#{$i * 10} {
        width: $i * 10px !important;
    }

    @if $i<21 {
        .w#{$i * 5}p {
            width: $i * 5%;
        }
    }
}


.round {
    border-radius: 50%;
}

//样式重置

body,
html {
    width: 100%;
    height: 100%;
}

.sidebar>.el-menu {
    border: none;
}


.viewTag .el-tag .el-icon-close {
    color: #495060;
}

.viewTag .el-tag .el-icon-close:hover {
    background-color: #eee !important;

}

.viewTag .el-tag.active .el-icon-close:hover {
    background-color: #b1acac !important;

}

.viewTag .el-tag.active .el-icon-close {
    color: #fff !important
}

.MainSearch {

    .el-select,
    .el-date-editor {
        width: 100%;
    }
}




body .el-table th.gutter {
    display: table-cell !important;
}


.mtable {
   box-sizing: border-box;
}

#editorElem div {
    z-index: 2 !important
}

#editorElem div.w-e-text-container {
    z-index: 1 !important
}

#editorElem .w-e-text-container {
    height: 100% !important;
}

.m_blue {
    color: #65c7ff !important;
}

.m_red {
    color: #f56c6c !important;
}

.m_green {
    color: #67c23a !important;
}

.m_gray{
    color: #b1acac !important;
}
.m_org{
    color: #ff9800 !important;
}

// ::-webkit-scrollbar{
//     width: 8px;
//     height: 5px;
//   }
//   ::-webkit-scrollbar-thumb{
//     border-radius: 1em;
//     background-color: #7d7d7d;
//   }
//   ::-webkit-scrollbar-track{
//     // border-radius: 1em;
//     background-color: rgba(50,50,50,.1);
  
//   }
input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{
    -webkit-appearance: none !important;
 }
input[type="number"]{-moz-appearance:textfield !important;}